pydo.addons.get()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.addons.get(resource_uuid="123e4567-e89b-12d3-a456-426614174000")
Returns JSONRaises HttpResponseError

Description

To fetch details of a specific Add-On Resource, send a GET request to /v2/add-ons/saas/{resource_uuid}. Replace {resource_uuid} with the UUID of the resource you want to retrieve.

Parameters

resource_uuid string required

The UUID of the add-on resource to retrieve.

Response Example

Show Response Example
{
  "resource": {
    "uuid": "123e4567-e89b-12d3-a456-426614174000",
    "name": "my-resource-01",
    "state": "provisioned",
    "app_name": "Example App",
    "app_slug": "example_app",
    "plan_name": "Basic Plan",
    "plan_slug": "basic_plan",
    "plan_price_per_month": 10,
    "has_config": true,
    "metadata": [],
    "sso_url": "https://example.com/sso",
    "message": "Resource is provisioned successfully."
  }
}

More Information

See /v2/add-ons/saas/{resource_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.